1 Reply Latest reply on Jun 18, 2007 11:31 AM by Björn Karpenstein

    JBossIDE and XDoclet

    Krzysztof Malinowski Newbie

      Hi,

      I've already installed JBoss IDE for Eclipse, ver. 2.0.0.Beta2
      I have some problem with XDoclet there. In fact there's XDoclet ver 2.0.x, but IDE expects XDoclet ver. 1.2.1

      In this case I can't use that to generate some EJB interfaces.

      Can someone help me?

      Thanks,
      Krzysztof

        • 1. Re: JBossIDE and XDoclet
          Björn Karpenstein Newbie

          Hello i had the same problems too.
          Some sales-persons on the CeBIT told me that XDoclet ist depricated and replaced by annotations. So when you are going to develop a new Web Application you better should use this kind.

          If you need XDoclet for older application there are some IDE-independent ways. You can use ANT to build your application and there are some ANT-Tasks for xdoclet.

          I remember that i had the same problems like you, so i decided by building my own build script.

          Best regards.